// ビープ音
function beep() {
  navigator.notification.beep(1);
}

// バイブレーション
function vibration() {
  navigator.notification.vibrate(500);
}

// 現在座標を指定したGoogleマップ表示
function showCurrentMap() {
  // 正常処理用オブジェクト
  var win = function(pos) {
    location.href = "geo:" + pos.coords.latitude + "," + pos.coords.longitude;
  }

  // エラー処理用オブジェクト
  var fail = function(err) {
    alert("現在座標の取得に失敗、またはタイムアウトしました");
  }

  navigator.geolocation.getCurrentPosition(win, fail);
}